
Name: libxcb
Summary: X protocol C-language Binding Library
Version: 1.12
Release: %mkrel 2
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source0: http://xcb.freedesktop.org/dist/libxcb-%{version}.tar.xz
Patch0:	Makefile.in.diff
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 7.3
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpthread-stubs
BuildRequires: libxslt-proc
BuildRequires: libxdmcp-devel
BuildRequires: libxau-devel
BuildRequires: doxygen
BuildRequires: python-celementtree
BuildRequires: graphviz
Obsoletes: %name < %version
Provides:  libxcb-xlib.so.0
Provides:  libxcb-xlib.so.0.0.0

%description
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%files 
%defattr(-,root,root)
%{_libdir}/libxcb-composite.so.0
%{_libdir}/libxcb-composite.so.0.0.0
%{_libdir}/libxcb-damage.so.0
%{_libdir}/libxcb-damage.so.0.0.0
%{_libdir}/libxcb-dpms.so.0
%{_libdir}/libxcb-dpms.so.0.0.0
%{_libdir}/libxcb-glx.so.0
%{_libdir}/libxcb-glx.so.0.0.0
%{_libdir}/libxcb-record.so.0
%{_libdir}/libxcb-record.so.0.0.0
%{_libdir}/libxcb-render.so.0
%{_libdir}/libxcb-render.so.0.0.0
%{_libdir}/libxcb-res.so.0
%{_libdir}/libxcb-res.so.0.0.0
%{_libdir}/libxcb-screensaver.so.0
%{_libdir}/libxcb-screensaver.so.0.0.0
%{_libdir}/libxcb-shape.so.0
%{_libdir}/libxcb-shape.so.0.0.0
%{_libdir}/libxcb-shm.so.0
%{_libdir}/libxcb-shm.so.0.0.0
%{_libdir}/libxcb-xf86dri.so.0
%{_libdir}/libxcb-xf86dri.so.0.0.0
%{_libdir}/libxcb-xfixes.so.0
%{_libdir}/libxcb-xfixes.so.0.0.0
%{_libdir}/libxcb-xinerama.so.0
%{_libdir}/libxcb-xinerama.so.0.0.0
%{_libdir}/libxcb-xtest.so.0
%{_libdir}/libxcb-xtest.so.0.0.0
%{_libdir}/libxcb-xv.so.0
%{_libdir}/libxcb-xv.so.0.0.0
%{_libdir}/libxcb-xvmc.so.0
%{_libdir}/libxcb-xvmc.so.0.0.0
%{_libdir}/libxcb-randr.so.0
%{_libdir}/libxcb-randr.so.0.1.0
%{_libdir}/libxcb.so.1
%{_libdir}/libxcb.so.1.1.0
%{_libdir}/libxcb-xlib.so.0
%{_libdir}/libxcb-xlib.so.0.0.0
%{_libdir}/libxcb-dri2.so.0
%{_libdir}/libxcb-dri2.so.0.0.0
%{_libdir}/libxcb-dri3.so.0
%{_libdir}/libxcb-dri3.so.0.0.0
%{_libdir}/libxcb-present.so.0
%{_libdir}/libxcb-present.so.0.0.0
%{_libdir}/libxcb-sync.so.0
%{_libdir}/libxcb-sync.so.0.0.0
%{_libdir}/libxcb-xkb.so.1
%{_libdir}/libxcb-xkb.so.1.0.0


%package devel
Summary: Development files for %{name}
Group: Development/X11
Provides: xcb-devel = %{version}-%{release}
Provides: libxcb-devel = %{version}-%{release}
Provides:  devel(libxcb-xlib)
Obsoletes: %name-devel < %version
 
%description devel
Development files for %{name}

%files devel
%defattr(-,root,root)
%{_includedir}/xcb/*.h
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/xcb*.pc
%{_datadir}/man/man3
#-----------------------------------------------------------

%package static-devel
Summary: Static development files for %{name}
Group: Development/X11
Provides: libxcb-static-devel = %version-%release
Obsoletes: %name-static-devel < %version

%description static-devel
Static development files for %{name}

%files static-devel
%defattr(-,root,root)
%{_libdir}/libxcb*.a

#-----------------------------------------------------------
%package doc
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

%description doc
Documentation for %{name}

%files doc
%{_docdir}/libxcb


%prep
%setup -q -n libxcb-%{version}

%apply_patches

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -delete

# Backward compatibility links
ln -s %{_libdir}/libxcb.so.1.1.0 %{buildroot}%{_libdir}/libxcb-xlib.so.0
ln -s %{_libdir}/libxcb.so.1.1.0 %{buildroot}%{_libdir}/libxcb-xlib.so.0.0.0


%clean
rm -rf %{buildroot}


%changelog
* Wed Dec 07 2016 adrianomorselli <adrianomorselli> 1.12-2uplos2016
- rebuild

* Fri Jul 29 2016 bb <bb> 1.12-2pclos2016
- rebuild for updates

* Thu May 26 2016 bb <bb> 1.12-1pclos2016
- update

* Fri Mar 11 2016 bb <bb> 1.11.1-1pclos2016
- update

* Sun May 04 2014 bb <bb> 1.10-1pclos2014
- update
- dont change lib major for libxcb-sync

* Thu Oct 31 2013 billybot <billybot> 1.9.1-1pclos2013
- update
- keep old library names for compatbility 

